Page MenuHomePhabricator

Special:MobileOptions should have options to disable images
Closed, DeclinedPublic

Description

There used to be a feature on Special:MobileOptions that allowed blocking all images from being loaded. It was removed by user Konfused-Kitten, apparently here:
https://phabricator.wikimedia.org/rEMFR2cefc0fade9c42c22902074e6fec05a001b12578

The rationale was that this feature (1) was "barely used", and (2) obsolete, due to "lazy loading images".

However, the commit does not reference any data that support claim (1). In fact, using this option is one of the easiest suggested methods of disabling images suggested on English Wikipedia:
https://en.wikipedia.org/wiki/Help:Options_to_hide_an_image

All other methods require the user to have a high level of technical proficiency (e.g., creating useraccount and using user scripts, setting up greasemonkey script, using custom Adblock rules, setting up and configuring a local proxy) or involve blocking resources other than Wikipedia (e.g., configuring the browser to disable images completely).

Concerning (2), load speed may not be the only reason for turning off images. Some users have personal preferences not to see images when they browse, for instance, certain topics on Wikipedia. To quote the above page: "Some people do not wish to see some images on Wikipedia for various reasons – images may not be suitable for a work environment; they may wish to prevent their children from seeing such images; their religion may forbid it; and so on."

Note that the proposal of this bug report is NOT to implement some kind of personal image filter, as has been proposed in the past. The Wikimedia community's rightful opposition of such filters was based on the arbitrary categorization of images into filter lists, and the lack of neutral and objective criteria for such.

However, an option that allows users to quickly switch between all images being turned on or off would bring a lot of the benefits to those concerned about seeing certain images, while being entirely neutral about what is displayed.

Event Timeline

Tobias created this task.May 17 2018, 7:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2018, 7:23 PM

This feature was removed because of the technical maintenance cost. It added great complexity to the codebase.

Note there are challenges here around user expectation. There is no way to disable images without downloading images. If such a feature was restored it would be very important for it to be clear around the purpose of censorship rather than performance so as not to mislead people who want the latter.

Elitre added a subscriber: Elitre.May 22 2018, 10:10 AM
ovasileva claimed this task.Jun 5 2018, 4:39 PM
phuedx added a subscriber: phuedx.Jun 6 2018, 2:38 PM

Thanks for the report, @Tobias.

However, the commit does not reference any data that support claim (1). In fact, using this option is one of the easiest suggested methods of disabling images suggested on English Wikipedia: https://en.wikipedia.org/wiki/Help:Options_to_hide_an_image

The commit message does reference T109870. According to the data at the top of the description of that task, 0.01% (131 / 737277) of all users who clicked "Save" on the Special:MobileOptions opted to disable images in that period.

I should note that we don't record values of cookies in the wmf.webrequest{,_raw} tables so it's hard to get an absolute value on the number of requests made to the Wikipedias with images disabled.

It's worth remembering this was introduced because of Zero and a need to reduce bandwidth.

One of the problems of this feature was that we varied HTML for users who had opted into disable images - by doing so, these users also inadvertently got a much slower performing web page. From a maintenance perspective and user perspective, bringing this feature back would thus be a bad idea.

Reintroducing this feature may make sense for logged in users, but if so, we should do this for all skins and for desktop browsers - not just mobile. If so, we should decline this particular task in favor of a new one as "Special:MobileOptions" is explicitly for anonymous users on mobile.

ovasileva closed this task as Declined.Jun 20 2018, 11:10 AM

Based on the low usage when we removed this feature and the performance cost on the users I think we should not consider reintroducing it. I agree that it might be useful to logged-in users based on personal preference but I think the motivations for that audience are closely overlapping to those that would use the browser functionality instead. I'm going to decline this for now, but we can reopen if we hear more requests and interest in building something like this across platforms.

Vvjjkkii renamed this task from Special:MobileOptions should have options to disable images to jtcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed ovasileva as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: ovasileva; removed: Aklapper.
CommunityTechBot renamed this task from jtcaaaaaaa to Special:MobileOptions should have options to disable images.Jul 2 2018, 4:04 PM
CommunityTechBot closed this task as Declined.
CommunityTechBot assigned this task to ovasileva.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: Aklapper; removed: ovasileva.